src/mesh/cs_mesh_builder.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
cs_mesh_builder.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <limits.h>`
`#include <math.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_io_num.h"`
`#include "fvm_periodicity.h"`
`#include "fvm_selector.h"`
`#include "cs_base.h"`
`#include "cs_interface.h"`
`#include "cs_mesh.h"`
Include dependency graph for cs_mesh_builder.c:

## Functions
cs_mesh_builder_t * | cs_mesh_builder_create (void)
| Create an empty mesh builder structure. More...
void | cs_mesh_builder_destroy (cs_mesh_builder_t **mb)
| Destroy a cs_mesh_builder_t structure. More...
void | cs_mesh_builder_define_block_dist (cs_mesh_builder_t *mb, int rank_id, int n_ranks, int min_rank_step, int min_block_size, cs_gnum_t n_g_cells, cs_gnum_t n_g_faces, cs_gnum_t n_g_vertices)
| Define block distribution sizes for mesh builder. More...

## Variables
cs_mesh_builder_t * | cs_glob_mesh_builder = NULL

## Function Documentation

cs_mesh_builder_t* cs_mesh_builder_create | ( | void |  | ) |

Create an empty mesh builder structure.

Returns
  pointer to a mesh builder structure

void cs_mesh_builder_define_block_dist | ( | cs_mesh_builder_t * | mb,
|  | int | rank_id,
|  | int | n_ranks,
|  | int | min_rank_step,
|  | int | min_block_size,
|  | cs_gnum_t | n_g_cells,
|  | cs_gnum_t | n_g_faces,
|  | cs_gnum_t | n_g_vertices
| ) |  |

Define block distribution sizes for mesh builder.

Parameters

  [in,out] | mb | pointer to mesh builder to update
  [in] | rank_id | id of local rank
  [in] | n_ranks | number of associated ranks
  [in] | min_rank_step | minimum rank step between blocks
  [in] | min_block_size | minimum number of entities per block
  [in] | n_g_cells | global number of cells
  [in] | n_g_faces | global number of faces
  [in] | n_g_vertices | global number of vertices

void cs_mesh_builder_destroy | ( | cs_mesh_builder_t ** | mb | ) |

Destroy a cs_mesh_builder_t structure.

Parameters

  [in,out] | mb | pointer to pointer of structure to destroy

## Variable Documentation

cs_mesh_builder_t* cs_glob_mesh_builder = NULL